#
# spec file for package python-pdm-backend
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pdm-backend
Version:        2.2.0
Release:        1.1
Summary:        Backend used by PDM
License:        MIT
URL:            https://github.com/pdm-project/pdm-backend
Source:         https://files.pythonhosted.org/packages/source/p/pdm-backend/pdm_backend-%{version}.tar.gz
BuildRequires:  %{python_module importlib-metadata >= 3.6.0 if %python-base < 3.10}
BuildRequires:  %{python_module pip}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module editables}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  git-core
# /SECTION
%if 0%{?python_version_nodots} < 310
Requires:       python-importlib-metadata >= 3.6.0
%endif
BuildArch:      noarch
%python_subpackages

%description
The build backend used by [PDM] that supports latest packaging standards.

%prep
%autosetup -p1 -n pdm_backend-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%dir %{python_sitelib}/pdm
%{python_sitelib}/pdm/backend
%{python_sitelib}/pdm_backend-%{version}.dist-info

%changelog
* Mon Apr 15 2024 Dirk Müller <dmueller@suse.com>
- update to 2.2.0:
  * Don't add '+editable' to the editable version
  * Custom version format for source="scm"
  * Fallback_version config for scm version
  * **vendor**: Update packaging to 24.0
  * **vendors**: Update pyproject-metadata to 0.8.0rc1
* Tue Jan  9 2024 Ben Greiner <code@bnavigator.de>
- Update dependencies
* Sun Jan  7 2024 Dirk Müller <dmueller@suse.com>
- update to 2.1.8:
  * Can't include nested data files in built wheel
  * Update domain name
- update to 2.1.7:
  * Rename tag-pattern to tag_regex in the docs
  * Copytree handle existing dirs
  * Normalize the dist info name in the wheel
- update to 2.1.6:
  * Path to uri expansion in dependency string
- update to 2.1.5:
  * Don't quote project root in file:// urls Fix #190
  * Write version to file doesn't work for editable installs
- update to 2.1.4:
  * Write version file for sdist build as well
- update to 2.1.3:
  * Remove duplicate files when building wheel
- update to 2.1.2:
  * Fix file permissions to 644 for wheel
- update to 2.1.1:
  * Pdm-backend should not normalize names in project metadata
* Mon Jun 19 2023 Dirk Müller <dmueller@suse.com>
- add importlib-metadata dependency
- git-core is sufficient for the testsuite
* Thu Jun 15 2023 Andreas Schneider <asn@cryptomilk.org>
- Initial package
